<?php

namespace App\enum;

enum ProviderType: string
{
    case GMAIL = 'gmail.com';
    case YAHOO = 'yahoo.com';
    case OUTLOOK = 'outlook.com';
    case CUSTOM = 'custom';

    public function getColor(): string
    {
        return match ($this) {
            self::GMAIL => 'danger',
            self::YAHOO => 'primary',
            self::OUTLOOK => 'info',
            self::CUSTOM => 'success',
        };
    }

    public function getLabel(): string
    {
        return match ($this) {
            self::GMAIL => 'Gmail',
            self::YAHOO => 'Yahoo',
            self::OUTLOOK => 'Outlook',
            self::CUSTOM => 'Custom',
        };
    }
}
